REM INFO: Fix2cGIF.csc v1.0
REM Copyright  James Aswell, 2001
REM 
REM DESCRIPTION:
REM Restores corrupted image colors in an open 1-Bit GIF.

WITHOBJECT "CorelPhotoPaint.Automation.8"
	IF .GetDocumentCount() >= 1 THEN
		FILEGIF$ = .GetDocumentName()

		IF LCASE(RIGHT(FILEGIF$, 4)) = ".gif" THEN

			IF .GetDocumentType() = 3 THEN
	
				IF FILEGIF$ = "" THEN FILEGIF$ = GETFILEBOX("Palette Files|*.GIF", "GIF Files...", 0,"")

				IF FILEGIF$ <> "" THEN

					DIM binC%(6)

					OPEN FILEGIF$ FOR INPUT AS #1

					FOR a% = 1 TO 6
						i% = a% + 13

						SEEK 1, i%
						INPUT #1, xbyte$
		
						qa% = ASC(xbyte$)
						IF qa% < 0 THEN qa% = qa% + 256

						SEEK 1, i%
						LINE INPUT #1, bytes$

						qb% = ASC(LEFT(bytes$, 1))
						IF qb% < 0 THEN qb% = qb% + 256
		
						IF qa% <> qb% THEN
							binC%(a%) = 0
						ELSE
							binC%(a%) = qa%
						ENDIF

					Next a%

					CLOSE #1


					.ImageConvert 4, 1, 0, 0, 0, 0, 0, 2
					.ImageColorTable 1
						.PaletteColor 5, binC%(1), binC%(2), binC%(3), 0, 0
						.PaletteColor 5, binC%(4), binC%(5), binC%(6), 0, 1
						.EndColorTable 
				ENDIF
			ENDIF
		ENDIF
	ENDIF

END WITHOBJECT
